<template>
  <form @submit.prevent="handleFormSubmit" class="mh-user-form">
    <label class="mh-user-form__control">
      <div>
        {{ $t('pages.name') }}
      </div>
      <mh-input v-model="form.name"/>
    </label>

    <label class="mh-user-form__control">
      <div>
        {{ $t('pages.surname') }}
      </div>
      <mh-input v-model="form.surname" />
    </label>

    <label class="mh-user-form__control">
      <div>
        {{ $t('pages.age') }}
      </div>
      <mh-input v-model="form.age" type="number" />
    </label>

    <mh-button @click="$router.push({ name: 'users' })">
      {{ $t('pages.cancel') }}
    </mh-button>

    <mh-button
      :is-disabled="isDisabledSubmit"
      :is-submit="true"
    >
      {{ $t('pages.submit') }}
    </mh-button>
  </form>
</template>

<script>
import UsersApi from '@/api/users'

import MhInput from '@/components/controls/input'
import MhButton from '@/components/controls/button'

export default {
  name: 'MhUserForm',

  components: { MhInput, MhButton },

  data() {
    return {
      form: {
        name: '',
        surname: '',
        age: ''
      }
    }
  },

  computed: {
    isDisabledSubmit() {
      return !!(
        !this.form.name.trim() ||
        !this.form.surname.trim() ||
        this.form.age === undefined
      )
    }
  },

  methods: {
    ...UsersApi,

    handleFormSubmit() {
      return
    }
  }
}
</script>

<style lang="scss" scoped>
.mh-user-form {
  padding:  0 $base-layout-padding;

  &__control {
    display: block;
    margin: 20px 0;
  }
}
</style>
